Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# de2D.hpp File Reference

2D Overlays and other 2D drawing More...

`#include "deGlobalTypes.hpp"`
`#include "deRender.hpp"`
`#include "deMath.hpp"`

Include dependency graph for de2D.hpp:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Compounds
class | Ide2DCollection
class | Ide2DObject
## Defines
#define | DE2D_API extern "C" DEDLL_IMPORT
## Functions
C DEDLL_IMPORT Ide2DCollection * | Ide2DObject_Create2DCollection ()
| create an instance of Ide2DCollection
C DEDLL_IMPORT Ide2DObject * | Ide2DObject_Create2DObject (IdeVertexBuffer *VBuffer, IdeRenderTexture *Texture, deFloat Depth=10.0f, deBoolean ExpireNow=(DE_FALSE))
| create an instance of Ide2DObject using a vertex buffer
C DEDLL_IMPORT Ide2DObject * | Ide2DObject_Create2DOverlay (deRect *ScreenRect, deFloatRect *TexCoords, IdeRenderTexture *Texture, deFloat Depth=10.0f, deARGB color=0xFFFFFFFF, deDouble FadePerSecond=0.0)
| create an instance of Ide2DObject using a rectangle to form an overlay
C DEDLL_IMPORT Ide2DObject * | Ide2DObject_Create2DCorona (deRect *SizeRect, deFloatRect *TexCoords, IdeRenderTexture *Texture, IdeCamera *ScreenCamera, deFloat Depth=10.0f, deARGB color=0xFFFFFFFF)
| create an instance of Ide2DObject to act as a corona
C DEDLL_IMPORT Ide2DObject * | Ide2DObject_Create2DLine (deVec3d Start, deVec3d End, deARGB color=0xFFFFFFFF, deDouble FadePerSecond=0.0, deFloat Depth=10.0f)
| create an instance of Ide2DObject using a line segment
C DEDLL_IMPORT Ide2DObject * | Ide2DObject_Create2DLineList (deVec3d PointList[], long NumPoints, deARGB color=0xFFFFFFFF, deDouble FadePerSecond=0.0, deFloat Depth=10.0f)
| create an instance of Ide2DObject using several line segments
C DEDLL_IMPORT Ide2DObject * | Ide2DObject_Create2DLineRect (deRect &LineRect, deARGB color=0xFFFFFFFF, deDouble FadePerSecond=0.0, deFloat Depth=10.0f)
| create an instance of Ide2DObject using a rectangle to form lines

## Detailed Description

2D Overlays and other 2D drawing

Author:
  Assassin

This file is the intellectual property of Novus Delta, LLC.. Usage of the contents of this file is subject to the Destiny3D Member License which can be found at http://www.destiny3d.com. Any other usage is prohibited.

This file is distributed "AS IS" without warranty of any kind. Novus Delta, LLC. does not guarantee the fitness of the contents of this file for any particular purpose.

Copyright (C) 2001-2003 Novus Delta, LLC. All Rights Reserved.

Change History

Date:
  Mar 2002

Author:
  Assassin

Remarks:
  Creation

Date:
  May 2002

Author:
  Assassin

Remarks:
  Interface implementation

## Define Documentation

#define DE2D_API extern "C" DEDLL_IMPORT

## Function Documentation

C DEDLL_IMPORT Ide2DCollection* Ide2DObject_Create2DCollection | ( |  | ) |

| create an instance of Ide2DCollection

C DEDLL_IMPORT Ide2DObject* Ide2DObject_Create2DCorona | ( | deRect * | SizeRect,
|  | deFloatRect * | TexCoords,
|  | IdeRenderTexture * | Texture,
|  | IdeCamera * | ScreenCamera,
|  | deFloat | Depth = 10.0f,
|  | deARGB | color = 0xFFFFFFFF
| ) |

| create an instance of Ide2DObject to act as a corona

C DEDLL_IMPORT Ide2DObject* Ide2DObject_Create2DLine | ( | deVec3d | Start,
|  | deVec3d | End,
|  | deARGB | color = 0xFFFFFFFF,
|  | deDouble | FadePerSecond = 0.0,
|  | deFloat | Depth = 10.0f
| ) |

| create an instance of Ide2DObject using a line segment

C DEDLL_IMPORT Ide2DObject* Ide2DObject_Create2DLineList | ( | deVec3d | PointList[],
|  | long | NumPoints,
|  | deARGB | color = 0xFFFFFFFF,
|  | deDouble | FadePerSecond = 0.0,
|  | deFloat | Depth = 10.0f
| ) |

| create an instance of Ide2DObject using several line segments

C DEDLL_IMPORT Ide2DObject* Ide2DObject_Create2DLineRect | ( | deRect & | LineRect,
|  | deARGB | color = 0xFFFFFFFF,
|  | deDouble | FadePerSecond = 0.0,
|  | deFloat | Depth = 10.0f
| ) |

| create an instance of Ide2DObject using a rectangle to form lines

C DEDLL_IMPORT Ide2DObject* Ide2DObject_Create2DObject | ( | IdeVertexBuffer * | VBuffer,
|  | IdeRenderTexture * | Texture,
|  | deFloat | Depth = 10.0f,
|  | deBoolean | ExpireNow = (DE_FALSE)
| ) |

| create an instance of Ide2DObject using a vertex buffer

C DEDLL_IMPORT Ide2DObject* Ide2DObject_Create2DOverlay | ( | deRect * | ScreenRect,
|  | deFloatRect * | TexCoords,
|  | IdeRenderTexture * | Texture,
|  | deFloat | Depth = 10.0f,
|  | deARGB | color = 0xFFFFFFFF,
|  | deDouble | FadePerSecond = 0.0
| ) |

| create an instance of Ide2DObject using a rectangle to form an overlay